GGSCI Fails With Dependent Module libifdmr.so Could Not Be Loaded. (Doc ID 2159212.1)

Last updated on NOVEMBER 18, 2016

Applies to:

Oracle GoldenGate - Version 12.2.0.1.0 and later
Information in this document applies to any platform.

Goal

Installed informix client SDK and a compiled version of UnixODBC available in the file system. ggsci gives the following error when trying to start it:

dinf001zatcax:/u02/ggate/gg_informix_12.2.0.1.0#./ggsci
Could not load program ./ggsci:
Dependent module libifdmr.so could not be loaded.
Could not load module libifdmr.so.
System error: No such file or directory

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms